Create User

This API requires the Account Administrator role.

Creates a user.

The following fields must be unique otherwise a HTTP 409 Conflcit will be returned:

  • loginId
  • emailId

When creating a user with a profileId, the field values in the user request will override any that are
also defined in the profile. For example, if the profile contains configuration for features and the user
request also contains features, the features defined in the user request will override those from the profile.

Changes to the fields:

  • roles
  • features

Will trigger asynchronous updates, the status of which should be monitored via /users:listStatuses.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 6 and 6
^[a-zA-Z]{6}$

The unique 6 character internal id that represents the customer account.

Body Params

Create user with provided details including profileId and features

A User can be an Agent, Supervisor or an Administrator.

string
required
length between 6 and 6
^[a-zA-Z]{6}$

Unique Id for Account or Node where user get created

string
required
length ≤ 255
^[a-zA-Z\p{L}0-9+-_.]+(?:\.[a-zA-Z\p{L}0-9+-_.]+)*@(?:[a-zA-Z\p{L}0-9-]+\.)+[a-zA-Z\p{L}]{2,63}$

Login Id for User

string
length ≤ 255
^(?=.{8,}$)(?=.*?[a-z])(?=.*?[A-Z])(?=.*?[0-9])(?=.*?\W).*$

Login credentials of User

string
required
length between 2 and 255
^[^<>\^@#]*$

Last name of User

string
required
length between 2 and 255
^[^<>\^@#]*$

First name of User

string
length between 2 and 510
^[^<>\^@#]*$

Display name of User

string
length between 5 and 255
^[a-zA-Z\p{L}0-9]+[a-zA-Z\p{L}0-9+\-_.]+(?:\.[a-zA-Z\p{L}0-9+\-_.]+)*@(?:[a-zA-Z\p{L}0-9-]+\.)+[a-zA-Z\p{L}]{2,63}$

Email Id of User

string
length between 6 and 6
^[a-zA-Z0-9\-\_\.\ ]+$

The unique 6 character internal id that represents the profile.

memberOfGroups
array of strings
length ≤ 50

List of the groups of which the user is member of.

memberOfGroups
ownedGroups
array of strings
length ≤ 50

List of the groups owned by the user.

ownedGroups
roles
array of objects
length ≤ 11

Roles assigned to user.

See the list of Available Roles.

roles
resourcePartitions
array of strings
length ≤ 10

List of the resource partitions assigned to the user

resourcePartitions
addresses
array of objects
length ≤ 5

List of the address added by user

addresses
accountAddresses
array of objects
length ≤ 4

List of the account addresses assigned to the user

accountAddresses
features
object

Features enabled in user

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json
application/problem+json